package com.example.agoldenbaum.gridcellselection;

import com.infragistics.controls.IGCellPath;
import com.infragistics.controls.IGGridView;
import com.infragistics.controls.IGGridViewCell;
import com.infragistics.controls.IGListAdapter;
import com.infragistics.controls.IGTextColumn;

/**
 * Created by agoldenbaum on 9/1/2015.
 */
public class CustomColumnDefinition extends IGTextColumn {
    public CustomColumnDefinition(String key){
        super(key);
    }

    @Override
    protected IGGridViewCell getCell(IGGridView gridView, IGListAdapter adapter, IGCellPath path) {
        CustomCell cell = (CustomCell)gridView.dequeueCellById("myCell");
        if(cell == null){
            cell = new CustomCell(gridView.getContext(), "myCell");
        }

        cell.getTextView().setText("Custom Cell");

        return cell;
    }
}
