package com.example.agoldenbaum.gridcellselection;

import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;

import com.infragistics.controls.GridSelectionTypes;
import com.infragistics.controls.IGGridView;
import com.infragistics.controls.IGListAdapter;
import com.infragistics.controls.IGTextColumn;


public class MainActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final IGGridView grid = new IGGridView(this);

        final IGListAdapter adapter = new IGListAdapter(this);
        adapter.setAutoGenerateColumns(false);

        adapter.setDataSource(IGSalesmanItem.GenerateData(200));

        IGTextColumn column1 = new IGTextColumn("FirstName");
        IGTextColumn column2 = new IGTextColumn("LastName");
        CustomColumnDefinition column3 = new CustomColumnDefinition("Territory");

        adapter.addColumnDefinition(column1);
        adapter.addColumnDefinition(column2);
        adapter.addColumnDefinition(column3);


        grid.setAllowsMultipleSelection(true);
        grid.setSelectionType(GridSelectionTypes.ROW);

        grid.setAdapter(adapter);

        Button b = (Button)findViewById(R.id.button1);

        b.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Object o = grid.selectedRows();
                int i = 0;
            }
        });

        LinearLayout layout = (LinearLayout)findViewById(R.id.LinLayout1);

        layout.addView(grid);
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
